Register

Use /customers endpoint to register user. After registration customer is related with your account and you will see him in Cleeng Dashboard > Customer Accounts. Customers are recognized in Cleeng by customerId, which is encoded in JWT.

Important

It is recommended that customerIP is passed as it is required for correct price calculation because tax rate depends on the country. If customerIP is NOT given, the price will be calculated for request source IP address.

Please note that when using Cleeng Merchant, customerIP should be available for the purpose of proper tax calculation in the US and Canada. It is recommended that customerIP is passed in the register, login and create order methods.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The email address of the customer (valid RFC2822 email address)

string
required

The password of the customer. String containing at least one letter and one digit or special character (!@#$%^&), length - 8-80 characters

string
required

ID of Cleeng offer. The first letter defines the type of offer, then 9 numbers occurs, underscore and country code, e.g. S565568989_US. Required conditionally, when publisherId is not given

string
required

ID of publisher. Consist of 9 digits. Required conditionally, when offerId is not given

string
required

Language and text formatting of customer. You can fetch it using /locales. A list of supported values can be found HERE)

string
required

2-letter customer country code (ISO 3166 country code - without 'UK')

string
required

Customer currency. A list of supported values can be found HERE

string

Customer first name (1-50 characters)

string

Customer last name (1-50 characters)

string

Customer's external ID. Can be used to integrate with external systems. Has to be unique to the publisher

string

Custom data in JSON format

string

Customer IP address. This field is used for geo restrictions (stored as last user IP)

string

To integrate Google reCAPTCHA go HERE

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json